import numpy as np

def draw_path(path, ax, color):
    if path is not None and len(path.poses) > 2:
        poses = np.asarray([(pose.position.x,pose.position.y) for pose in path.poses])
        ax.plot(poses[:,0], poses[:,1], '.', color = color)
        ax.plot(poses[:,0], poses[:,1], '-', color = color)
        ax.plot(poses[0,0], poses[0,1], 'o', color = 'g')
        ax.plot(poses[-1,0], poses[-1,1], 'o', color = 'r')
    return

